import { type RouteRecordRaw } from "vue-router";
import { file_api } from "./config.json";

export function getCardUrl(path: string = file_api.cards.home): string {
  return `${file_api.root_url}/` +
  `${file_api.cards.url}/` +
  `${path}?` +
  `type=${file_api.cards.type}`
};

export default function cardRoute(): RouteRecordRaw {
    return {
      name: "cardShower",
      path: "/card/:user_name/:pages_path*",
      component: () => import("@/pages/CardsShower.vue"),
      props(to) {
        let path: string;
        if (Array.isArray(to.params.pages_path)) {
          path = to.params.pages_path.join("/");
        } else {
          path = to.params.pages_path;
        }

        return {
          ...to.params,
          path,
          url: getCardUrl(path),
        }
      },
    }
}
